<?php
include 'config.php';

header('Content-Type: application/json');

if (ob_get_level()) ob_end_clean();
ob_start();

if ($_SERVER['REQUEST_METHOD'] !== 'POST') {
    echo json_encode(["error" => "Invalid Request Method"]);
    ob_end_flush();
    exit;
}

$start_time = microtime(true);

$table1 = trim($_POST["table1"] ?? "");
$table2 = trim($_POST["table2"] ?? "");

$blocked_tables = ["transaction", "users", "statistics"];

if (in_array(strtolower($table1), $blocked_tables) || in_array(strtolower($table2), $blocked_tables)) {
    echo json_encode(["error" => "Invalid Table Request"]);
    ob_end_flush();
    exit;
}

$conn = new mysqli("p:".$hostname, $username, $password, $database);
$conn->set_charset("utf8mb4");

$table1 = $conn->real_escape_string($table1);
$table2 = $conn->real_escape_string($table2);

$sql1 = "SELECT * FROM `$table1` LIMIT 999";
$sql2 = "SELECT * FROM `$table2`";

$query_start = microtime(true);

$result1 = $conn->query($sql1);
$result2 = $conn->query($sql2);

$query_end = microtime(true);

$data = [
    "Table 1" => $result1 ? $result1->fetch_all(MYSQLI_ASSOC) : [],
    "Table 2" => $result2 ? $result2->fetch_all(MYSQLI_ASSOC) : []
];

$json_start = microtime(true);
$json_data = json_encode($data, JSON_UNESCAPED_UNICODE);
$json_end = microtime(true);

$conn->close();

ob_end_flush();
echo $json_data;
?>